<div id="order" class="page-layout carded fullwidth" fusePerfectScrollbar>

    <!-- TOP BACKGROUND -->
    <div class="top-bg {{secondColorBrand}}"></div>
    <!-- / TOP BACKGROUND -->

    <!-- CENTER -->
    <div class="center">

        <!-- HEADER -->
        <div class="header white-fg"
             fxLayout="row" fxLayoutAlign="space-between center">

            <!-- APP TITLE -->
            <div fxLayout="row" fxLayoutAlign="start center">

                <button class="mr-16" mat-icon-button [routerLink]="'/sales'">
                    <mat-icon>arrow_back</mat-icon>
                </button>

                <div fxLayout="column" fxLayoutAlign="start start"
                     *fuseIfOnDom [@animate]="{value:'*',params:{delay:'100ms',x:'-25px'}}">
                    <div class="h2">
                        Venda - {{sale.id}}
                    </div>
                    <div class="subtitle secondary-text">
                        <span>{{ salesStatusEnumToString(sale.status) }}</span>
                    </div>
                </div>
            </div>
            <!-- / APP TITLE -->

        </div>
        <!-- / HEADER -->

        <!-- CONTENT CARD -->
        <div class="content-card mat-white-bg">

            <!-- CONTENT -->
            <div class="content">

                <mat-tab-group>

                    <mat-tab label="Detalhes da Compra" *ngIf="sale">

                        <div class="order-details tab-content p-24" fusePerfectScrollbar>

                        <div  fxLayout="row" fxLayoutAlign="end center" fxLayoutGap="10px">
                            <button *ngIf="canApprove" type="button" color="primary" mat-raised-button (click)="approveSales()">Aprovar Venda</button>
                            <button *ngIf="canCancel" type="button" mat-raised-button (click)="cancelSales()">Cancelar Venda</button>
                        </div>        
                        

                        <div class="section pb-48">

                            <div class="pb-16" fxLayout="row" fxLayoutAlign="start center">
                                <mat-icon class="m-0 mr-16">account_circle</mat-icon>
                                <div class="h2 secondary-text">Cliente</div>
                            </div>

                            <div class="customer">
                                <table class="simple" style="padding: 0px 50px 0px 40px">
                                    <thead>
                                        <tr>
                                            <th>Nome</th>
                                            <th>Email</th>
                                            <th>Celular</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td>
                                                <span class="email text-truncate">{{sale && (sale.segment == "CUSTOMERS") ? sale.relationships?.customer?.name : sale && sale.relationships && sale.relationships['business'] ? sale.relationships['business'].name : '-'}}</span>
                                            </td>                                                
                                            <td>
                                                <span class="email text-truncate">{{sale && (sale.segment == "CUSTOMERS") ? sale.relationships?.customer?.email : '-'}}</span>
                                            </td>
                                            <td>
                                                <span class="email text-truncate">{{sale && (sale.segment == "CUSTOMERS") ? phone(sale.relationships?.customer?.mobilePhone) : '-'}}</span>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>

                        <div class="section pb-48">

                            <div class="pb-16" fxLayout="row" fxLayoutAlign="start center">
                                <mat-icon class="m-0 mr-16">directions_car</mat-icon>
                                <div class="h2 secondary-text">Veículo</div>
                            </div>

                            <div class="customer">
                                <table class="simple" style="padding: 0px 50px 0px 40px">
                                    <thead>
                                        <tr>
                                            <th>Marca</th>
                                            <th>Modelo</th>
                                            <th>Ano do modelo</th>
                                            <th>Placa</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td>
                                                <span class="email text-truncate">{{vehicle ? vehicle.manufacture : '-'}}</span>
                                            </td>                                                
                                            <td>
                                                <span class="email text-truncate">{{vehicle ? vehicle.model : '-'}}</span>
                                            </td>
                                            <td>
                                                <span class="email text-truncate">{{vehicle ? vehicle.modelYear : '-'}}</span>
                                            </td>
                                            <td>
                                                <span class="email text-truncate">{{vehicle ? vehicle.licensePlate : '-'}}</span>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>

                          <div class="section pb-48">

                                <div class="pb-16" fxLayout="row" fxLayoutAlign="start center">
                                    <mat-icon class="m-0 mr-16">access_time</mat-icon>
                                    <div class="h2 secondary-text">Histórico da Venda</div>
                                </div>

                                <table class="simple" style="padding: 0px 50px 0px 40px">
                                    <thead>
                                        <tr>
                                            <th>Status</th>
                                            <th>Data</th>
                                        </tr>
                                    </thead>
                                    <tbody *ngIf="isList" >
                                        <tr *ngFor="let item of statusList">
                                            <td>
                                                {{item.status}}   
                                            </td>
                                            <td>
                                                {{item.date | date: 'short'}}
                                            </td>                                 
                                        </tr>
                                    </tbody>
                                </table>

                            </div>

                            <div class="section pb-48" *ngIf="payment && payment?.type">

                                <div class="pb-16" fxLayout="row" fxLayoutAlign="start center">
                                    <mat-icon class="m-0 mr-16">attach_money</mat-icon>
                                    <div class="h2 secondary-text">Pagamento</div>
                                </div>

                                <table class="simple" style="padding: 0px 50px 0px 40px">
                                    <thead>
                                        <tr>
                                            <th>Tipo</th>
                                            <th>Valor</th>
                                            <th *ngIf="payment?.type == 'CREDIT_CARD'">Parcelamento</th>
                                            <th *ngIf="payment?.type != 'BOOKLET'">Bandeira</th>
                                            <th *ngIf="payment?.type != 'BOOKLET'">Número</th>
                                            <th>Status</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td>
                                                <span class="text-truncate">
                                                    {{paymentTypeEnumToString(payment?.type)}}
                                                </span>
                                            </td>
                                            <td>
                                                <span class="text-truncate">
                                                    {{sale.totalPrice | currency: 'BRL'}}
                                                </span>
                                            </td>
                                            <td *ngIf="payment?.type == 'CREDIT_CARD'">
                                                <span class="text-truncate">
                                                    Parcelado em&nbsp;{{installmentsPayment}}x
                                                </span>
                                            </td>    
                                                                                     
                                            <td *ngIf="payment?.type != 'BOOKLET'">
                                                <span class="text-truncate">
                                                    {{payment?.creditCardBrand ? payment?.creditCardBrand : payment?.debitCardBrand}}
                                                </span>
                                            </td>
                                            <td *ngIf="payment?.type != 'BOOKLET'">
                                                <span class="text-truncate">
                                                    {{payment?.creditCardNumber ? payment?.creditCardNumber : payment.debitCardNumber.substring(0, 4)+payment.debitCardNumber.substring(5, 7)+"******"+payment.debitCardNumber.substring(15, 19)}}
                                                </span>
                                            </td>
                                            <td>
                                                <span class="text-truncate">
                                                    {{PaymentCreditCardEnumToString(statusPayment)}}
                                                </span>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>

                           
                            <div class="section pb-48" *ngIf=" address && address['street']">

                                <div class="pb-16" fxLayout="row" fxLayoutAlign="start center">
                                    <mat-icon class="m-0 mr-16">local_shipping</mat-icon>
                                    <div class="h2 secondary-text">Entrega</div>
                                </div>

                                <div class="customer">
                                        <table class="simple" style="padding: 0px 50px 0px 40px">
                                            <thead>
                                                <tr>
                                                    <th>Endereço</th>
                                                    <th>Número</th>
                                                    <th>Cep</th>
                                                    <th>Cidade</th>
                                                    <th>UF</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <td>
                                                        <span class="email text-truncate" *ngIf="address" >{{address['street']}}</span>
                                                    </td>
                                                    <td>
                                                        <span class="email text-truncate" *ngIf="address" >{{address['number']}}</span>
                                                    </td>
                                                    <td>
                                                        <span class="email text-truncate" *ngIf="address" >{{address['postalCode']}}</span>
                                                    </td>
                                                    <td>
                                                        <span class="email text-truncate" *ngIf="address" >{{address['city']}}</span>
                                                    </td> 
                                                    <td>
                                                        <span class="email text-truncate" *ngIf="address" >{{address['state']}}</span>
                                                    </td> 
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                            </div>

                        </div>
                    </mat-tab>
                    <mat-tab label="Produtos" *ngIf="sale && sale['products'] && sale['products'].length > 0">

                            <div class="order-details tab-content p-24" fusePerfectScrollbar>   

                                    
                                    
                            <div class="section pb-48">

                                    <div class="pb-16" fxLayout="row" fxLayoutAlign="start center">
                                            <mat-icon class="m-0 mr-16">shopping_cart</mat-icon>
                                            <div class="h2 secondary-text">Produtos</div>
                                        </div>

                           
                            <table class="simple" *ngIf="sale && sale['products'] && sale['products'].length > 0" style="padding: 0px 50px 0px 40px">
                                    <thead >
                                        <tr>
                                            <th  style="padding-left: 0px">Produto</th>
                                            <th >Descrição</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr *ngFor="let product of sale['products']">
                                            <td style="padding-left: 0px">
                                                {{product.name}}   
                                            </td>
                                            <td>
                                                {{product.description}}  
                                            </td>                              
                                        </tr>
                                    </tbody>
                            </table>
                        </div>

                            
                    </div>

                    </mat-tab>
                    <mat-tab label="Serviços" *ngIf="sale && sale['services'] && sale['services'].length > 0">
                            <div class="order-details tab-content p-24" fusePerfectScrollbar>   
 
                                    <div class="section pb-48">

                                            <div class="pb-16" fxLayout="row" fxLayoutAlign="start center">
                                                    <mat-icon class="m-0 mr-16">shopping_cart</mat-icon>
                                                    <div class="h2 secondary-text">Serviços</div>
                                                </div>
                          
                            <table class="simple" *ngIf="sale && sale['services'] && sale['services'].length > 0" style="padding: 0px 50px 0px 40px">
                                    <thead >
                                        <tr>
                                            <th style="padding-left: 0px">Serviço</th>
                                            <th >Descrição</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                            <tr *ngFor="let service of sale['services']">
                                            <td style="padding-left: 0px">
                                                {{service.name}}   
                                            </td>
                                            <td>
                                                {{service.description}}  
                                            </td>                              
                                        </tr>
                                    </tbody>
                            </table>
                        </div>

                            
                    </div>
                    </mat-tab>
                    <mat-tab label="Transações" *ngIf="this.chargeList && this.chargeList.length > 0">
                            <div class="order-details tab-content p-24" fusePerfectScrollbar>   
 
                                    <div class="section pb-48" *ngIf="this.chargeList && this.chargeList.length > 0">

                                            <div class="pb-16" fxLayout="row" fxLayoutAlign="start center">
                                                <mat-icon class="m-0 mr-16">attach_money</mat-icon>
                                                <div class="h2 secondary-text">Transações</div>
                                            </div>
            
                                            <table class="simple" style="padding: 0px 50px 0px 40px">
                                                <thead>
                                                    <tr>
                                                        <th>Vencimento</th>
                                                        <th>Status</th>
                                                        <th>Tipo</th>
                                                        <th>Processamento</th>
                                                        <th>Valor</th>
                                                        <th>Nº do Pedido</th>
                                                        <th>Nº da Transação</th>
                                                        <th *ngIf="sale.relationships?.payment && sale.relationships?.payment?.type == 'BOOKLET'">Baixar Boleto</th>
                                                    </tr>
                                                </thead>
                                                <tbody *ngIf="this.chargeList" >
                                                    <tr *ngFor="let item of this.chargeList; let i = index">
                                                        <td>
                                                            {{item.ref ? item.ref : '-'}}
                                                        </td>
                                                        <td>
                                                            {{PaymentCreditCardEnumToString(item.status)}}   
                                                        </td>
                                                        <td>
                                                            {{paymentTypeEnumToString(payment?.type)}}
                                                        </td>
                                                        <td>
                                                        {{item.scheduledDateTime | date: 'dd/MM/yyyy'}}
                                                        </td>
                                                        <td>
                                                            {{item.amount | currency: 'BRL'}}
                                                        </td>
                                                        <td>
                                                            {{item.payment}}
                                                        </td>
                                                        <td>
                                                            {{item.transaction}}
                                                        </td>
                                                        <td *ngIf="item.bookletUrl" style="text-align: center">
                                                            <mat-icon style="cursor:pointer" class="m-0 mr-16" (click)="downloadBooklet(item.bookletUrl)">cloud_download</mat-icon>
                                                        </td>                                 
                                                    </tr>
                                                </tbody>
                                            </table>
            
                                        </div>

                            
                    </div>
                    </mat-tab>

                    

                </mat-tab-group>

            </div>
            <!-- / CONTENT -->

        </div>
        <!-- / CONTENT CARD -->

    </div>
    <!-- / CENTER -->
</div>